Example OnlineÜberweisen Transaction

Create a new OnlineÜberweisen payment transaction.

This is the onlineueberweisen variant of the generic
Create Transaction entry point;

the request body and response shown below apply to OnlineÜberweisen only.

Entry point: /rest/v1/curo/payment/onlineueberweisen/.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body for an OnlineÜberweisen payment (payment_method = onlineueberweisen).
OnlineÜberweisen unifies bank access for consumer and merchant and interfaces
directly with the consumer's bank. Beside the default parameters some basic bank
information of the person performing the payment is required.

Notes:

  • OnlineÜberweisen is a "Payment Initiation Service": these payments are not
    guaranteed
    . At the moment the consumer authorises the payment at their bank a
    real-time confirmation is received that the authorisation technically succeeded
    (status code 200), but the bank may execute the actual transfer later and it
    may still fail on insufficient funds.
  • Optionally the code 701 flow can be enabled, so the status only becomes 200
    (with a status=confirm callback) once the funds are received. Contact your
    account manager to use this option.
  • When the funds are received (usually 1-2 business days later) the book_date of
    the transaction is set. If the funds are not received after 20 days the system
    reverts them automatically (code 404).
  • Recurring payments for OnlineÜberweisen are processed via SEPA Direct Debit.

integer
required
≤ 9999999999

Merchant's site ID.

string
required
length ≤ 255

Valid return URL beginning with http:// or https:// where a consumer will be redirected after payment.

string
length ≤ 255

Optional return URL for pending payments. The url_success will be used if not specified.

string
required
length ≤ 255

Return URL for failed payments.

string
length ≤ 255

Optional return URL for cancelled payments. The url_failure will be used if not specified.

string
length ≤ 255

URL which will receive transaction updates automatically; please check Callback for more information. (recommended)

string
required
length ≤ 255

Unique merchant identification for a transaction.

integer
required
1 to 9999999999

The amount in cents (with no decimal separator).

string
required
^[A-Z]{3}$

Currency in which payment should be effected, expressed using the three-letter international currency code as per ISO-4217.

string
length ≤ 255

Consumer's email address.
Required if it is not included in the consumer container.

string
required
length ≤ 128

Transaction description which will be presented to the user if supported by the payment method.

string
length ≤ 255

Extra information to store with the transaction.

string
required
length ≤ 64

Consumer's IP address.
Note: although IP6 addresses are supported by CURO, most payment methods (still) don't support it.
Please do not use your own (host) IP as this may cause it to be blocked or throttled!
Private IP ranges will also be refused by this API. Use 0.0.0.0 to indicate unknown.

string
length ≤ 2

ISO country code of the consumer.

string
length ≤ 2

This field enables the issuer's site to select the consumer's preferred language.
Possible options: cz (Czech), hr (Croatian), da/dk (Danish), nl (Dutch), en (English, default),
fr (French), fi (Finnish), de (German), gr (Greek), hu (Hungarian), it (Italian),
no (Norwegian), pl (Polish), pt (Portuguese), ru (Russian), es (Spanish), se (Swedish), tr (Turkish).

string
length ≤ 64

Optional name of the e-commerce platform integrating with the API (e.g. "PHP", "Magento").

string
length ≤ 32

Optional version of the e-commerce platform.

string
length ≤ 64

Optional name of the plugin/integration used.

string
length ≤ 32

Optional version of the plugin/integration used.

string
required
length ≤ 255

The account holder of the person performing the payment.

string
required
length ≤ 255

The ISO-3166 country code that identifies the country the person performing
the payment is coming from.

string
required
length ≤ 49

The IBAN number of the person performing the payment.

string
required
length ≤ 255

The BIC code of the bank that the person uses to perform the payment.

string
required
length ≤ 255

The name of the bank that the person uses to perform the payment.

integer
0 to 2

Indicate this as a master/mandate transaction for recurring payments
(using SEPA Direct Debit). Options are 0, 1 and 2.
Contact account manager to enable recurring.

consumer
object
required

Consumer and shipping information for this transaction. Some fields are required depending on payment method.

cartitems
array of objects

The cart items of the webshop order.

cartitems
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json